local ____lualib = require("lualib_bundle")
local __TS__Class = ____lualib.__TS__Class
local __TS__ClassExtends = ____lualib.__TS__ClassExtends
local ____exports = {}
local ____isaac_2Dtypescript_2Ddefinitions = require("isaac-typescript-definitions")
local ModCallback = ____isaac_2Dtypescript_2Ddefinitions.ModCallback
local ____shouldFire = require("shouldFire")
local shouldFireKnife = ____shouldFire.shouldFireKnife
local ____CustomCallback = require("classes.private.CustomCallback")
local CustomCallback = ____CustomCallback.CustomCallback
____exports.PostKnifeRenderFilter = __TS__Class()
local PostKnifeRenderFilter = ____exports.PostKnifeRenderFilter
PostKnifeRenderFilter.name = "PostKnifeRenderFilter"
__TS__ClassExtends(PostKnifeRenderFilter, CustomCallback)
function PostKnifeRenderFilter.prototype.____constructor(self)
    CustomCallback.prototype.____constructor(self)
    self.shouldFire = shouldFireKnife
    self.postKnifeRender = function(____, knife, renderOffset)
        self:fire(knife, renderOffset)
    end
    self.callbacksUsed = {{ModCallback.POST_KNIFE_RENDER, self.postKnifeRender}}
end
return ____exports
